Issue 75891 - Inserting Special Character does not revert font to current paragraph font
Summary: Inserting Special Character does not revert font to current paragraph font
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: formatting (show other issues)
Version: OOo 2.2
Hardware: Other Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2007-03-30 03:43 UTC by demarcoc
Modified: 2013-08-07 14:42 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Special Character Font Change Example (7.40 KB, application/vnd.sun.xml.writer)
2007-03-30 03:44 UTC, demarcoc
no flags Details
Example (7.40 KB, application/vnd.sun.xml.writer)
2007-03-30 03:46 UTC, demarcoc
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description demarcoc 2007-03-30 03:43:39 UTC
In OOo 2.2, I've found that when I insert a character from the Symbol font while
working in Times New Roman, the font is changed to Symbol.

Specifics are as follows:

The line in question starts in Times New Roman, and contains a problem number, a
space, and an italic character (all in Times New Roman).

From there, a special character is inserted from the Symbol font. In previous
versions of OOo, this did not change the base font to Symbol. Now, it does.

I will try to attach an example. In that example, I was attempting to type an
italicized capital M, the "horseshoe" special character from the Symbol font,
and an italicized capital P, which I wanted to be back in Times New Roman. The
result is that the italicized capital P is replaced with an italicaized capital
"pi," the corresponding symbol from the Symbol font.

I have noted that if the beginning of the document or the beginning of the line
is in regular, as opposed to italic, this doesn't happen.
Comment 1 demarcoc 2007-03-30 03:44:37 UTC
Created attachment 44031 [details]
Special Character Font Change Example
Comment 2 demarcoc 2007-03-30 03:46:48 UTC
Created attachment 44032 [details]
Example
Comment 3 michael.ruess 2007-03-30 11:28:52 UTC
MRU->AMA: perhaps another one from "swautomaticstyles"?
New document, type some characters, click "Italic" button, insert e.g. a greek
character from "Symbol" font via "Special character" dialog -> after this the
font will remain in "Symbol" font.
Comment 4 hagar_de_lest 2007-03-30 16:08:56 UTC
Confirmed on Linux also (Ubuntu 6.06).
Comment 5 andreas.martens 2007-04-18 10:23:07 UTC
Yes, our new automatic style concept makes it difficult to expand some
attributes (like the italic) and not to expand other attributes (like the font).
We have to do some analyzes and re-coding to make this work again.
Comment 6 andreas.martens 2007-07-09 13:42:43 UTC
->FME: Please take over.
Comment 7 frank.meies 2007-07-09 14:55:56 UTC
Fixed in textsh.cxx rev. 1.54.84.1
Comment 8 frank.meies 2007-07-19 11:50:32 UTC
Ready for QA.
Comment 9 michael.ruess 2007-07-23 13:28:02 UTC
Verified fix in CWS swqbf101.
Comment 10 michael.ruess 2007-08-02 12:03:43 UTC
Checked in 680m224.